{% extends "paysans/farmspace.html" %}

{% load template_utils %}

{% block page_title %}
    {{ ferme.nom }}
{% endblock %}

{% block back_zone %}
    {% if user.is_paysan %}
        <a href="{% url 'mes_fermes' %}">
            << Retour à la liste de mes fermes
        </a>
    {% endif %}
{% endblock %}

{% block farm_content %}
    <!--
    <a href="#" class="btn btn-secondary">
        Liste des membres
    </a>-->

    <!-- a href="{% url 'ferme_manage_products' ferme_id=ferme.id %}" class="btn btn-secondary">
        Gestion des produits
    </a -->

    <a href="{% url 'farm_contracts_list' ferme_id=ferme.id %}" class="btn btn-secondary">
        <i class="fas fa-file-contract"></i>
        Liste des contrats
    </a>

    <a href="{% url 'farm_deliveries_list' ferme_id=ferme.id %}" class="btn btn-secondary">
        <i class="fas fa-bicycle"></i>
        Liste des livraisons
    </a>

    <a href="{% url 'farm_payments_list' ferme_id=ferme.id %}" class="btn btn-secondary">
        <i class="fas fa-coins"></i>
        Liste des paiements
    </a>

    <a href="{% url 'ferme_register_product_distributions' ferme_id=ferme.id %}" class="btn btn-secondary">
        <i class="fas fa-plus"></i>
        Inscrire des produits aux livraisons
    </a>

    {% if user.is_paysan %}
        <a href="{% url 'ferme_signer_contrats' ferme_id=ferme.id %}"
           class="btn {% if signatures_pending > 0 %}btn-warning{% else %}btn-secondary{% endif %} ">
            <i class="fas fa-file-signature"></i>
            Valider des livraisons
        </a>
    {% endif %}

    <div class="container">
        {% if signatures_pending > 0 and user.is_paysan %}
            <div class="alert alert-warning mt-3">
                Vous avez {{ signatures_pending }} livraison(s) en attente de validation. Rendez-vous sur
                <a href="{% url 'ferme_signer_contrats' ferme_id=ferme.id %}">la page de validation des livraisons</a>
                pour réaliser les actions requises.
            </div>
        {% endif %}
        {% if next_delivery %}
            <div class="card mt-3">
                <h2 class="card-header">
                    Prochaine livraison le {{ next_delivery.date_heure|date:"d/m/Y" }}
                </h2>
                <div class="card-body">

                    <p class="card-text d-flex flex-row mb-3">
                        Télécharger la feuille de livraison :
                        <a href="{% url 'feuille_livraison_pdf' ferme_id=ferme.id id_distribution=next_delivery.id %}"
                           target="_blank" class="ms-3 me-2 d-block primary-link text-decoration-none"
                        >
                            <i class="fas fa-file-pdf"></i>
                            PDF
                        </a>
                        /
                        <a href="{% url 'feuille_livraison_csv' ferme_id=ferme.id id_distribution=next_delivery.id %}"
                           target="_blank" class="ms-2 me-3 d-block primary-link text-decoration-none"
                        >
                            <i class="fas fa-file-csv"></i>
                            CSV
                        </a>

                        (avec les montants à payer :
                        <a href="{% url 'feuille_livraison_pdf' ferme_id=ferme.id id_distribution=next_delivery.id %}?with_prices=1"
                           target="_blank" class="ms-3 me-2 d-block primary-link text-decoration-none"
                        >
                            <i class="fas fa-file-pdf"></i>
                            PDF
                        </a>
                        )
                    </p>

                    <h5 class="card-title">Produits commandés :</h5>
                    <ul class="list-group list-group-flush">
                        {% for product_name in next_delivery_content %}
                            <li class="list-group-item">
                                {{ next_delivery_content|get_item:product_name }} x {{ product_name }}
                            </li>
                        {% endfor %}
                    </ul>

                </div>
            </div>
        {% else %}
            <div class="text-center fs-5 fw-bold mt-5">Aucune livraison prévue prochainement</div>
        {% endif %}
    </div>


    <!--
            Paysans => ajouter (retrait autorisé uniquement aux gestionnaires)

            Produits => gérer, enregistrer des distribs

            Commandes pour la prochaine distrib
    -->
{% endblock %}
